#

API Docs for: 0.6.0
Show: Inherited Protected Private Deprecated

# WheelInfo Class

Defined in: `src/objects/WheelInfo.js:8`

## Constructor

### `WheelInfo`

(

- `[options]`

)

Defined in `src/objects/WheelInfo.js:8`

#### Parameters:

- `[options]` Object optional
  - `[chassisConnectionPointLocal]` Vec3 optional
  - `[chassisConnectionPointWorld]` Vec3 optional
  - `[directionLocal]` Vec3 optional
  - `[directionWorld]` Vec3 optional
  - `[axleLocal]` Vec3 optional
  - `[axleWorld]` Vec3 optional
  - `[suspensionRestLength=1]` Number optional
  - `[suspensionMaxLength=2]` Number optional
  - `[radius=1]` Number optional
  - `[suspensionStiffness=100]` Number optional
  - `[dampingCompression=10]` Number optional
  - `[dampingRelaxation=10]` Number optional
  - `[frictionSlip=10000]` Number optional
  - `[steering=0]` Number optional
  - `[rotation=0]` Number optional
  - `[deltaRotation=0]` Number optional
  - `[rollInfluence=0.01]` Number optional
  - `[maxSuspensionForce]` Number optional
  - `[isFrontWheel=true]` Number optional
  - `[clippedInvContactDotSuspension=1]` Number optional
  - `[suspensionRelativeVelocity=0]` Number optional
  - `[suspensionForce=0]` Number optional
  - `[skidInfo=0]` Number optional
  - `[suspensionLength=0]` Number optional
  - `[maxSuspensionTravel=1]` Number optional
  - `[useCustomSlidingRotationalSpeed=false]` Number optional
  - `[customSlidingRotationalSpeed=-0.1]` Number optional

- Index
- Properties

## Item Index

### Properties

- axleLocal
- axleWorld
- brake
- chassisConnectionPointLocal
- chassisConnectionPointWorld
- clippedInvContactDotSuspension
- customSlidingRotationalSpeed
- dampingCompression
- dampingRelaxation
- deltaRotation
- directionLocal
- directionWorld
- engineForce
- forwardImpulse
- frictionSlip
- isFrontWheel
- isInContact
- maxSuspensionForce
- maxSuspensionTravel
- radius
- raycastResult
- rollInfluence
- rotation
- sideImpulse
- skidInfo
- sliding
- steering
- suspensionForce
- suspensionLength
- suspensionMaxLength
- suspensionRelativeVelocity
- suspensionRestLength
- suspensionStiffness
- useCustomSlidingRotationalSpeed]
- worldTransform

## Properties

### `axleLocal`

Vec3

Defined in `src/objects/WheelInfo.js:112`

### `axleWorld`

Vec3

Defined in `src/objects/WheelInfo.js:117`

### `brake`

Number

Defined in `src/objects/WheelInfo.js:187`

### `chassisConnectionPointLocal`

Vec3

Defined in `src/objects/WheelInfo.js:92`

### `chassisConnectionPointWorld`

Vec3

Defined in `src/objects/WheelInfo.js:97`

### `clippedInvContactDotSuspension`

Number

Defined in `src/objects/WheelInfo.js:197`

### `customSlidingRotationalSpeed`

Number

Defined in `src/objects/WheelInfo.js:77`

### `dampingCompression`

Number

Defined in `src/objects/WheelInfo.js:142`

### `dampingRelaxation`

Number

Defined in `src/objects/WheelInfo.js:147`

### `deltaRotation`

Number

Defined in `src/objects/WheelInfo.js:167`

### `directionLocal`

Vec3

Defined in `src/objects/WheelInfo.js:102`

### `directionWorld`

Vec3

Defined in `src/objects/WheelInfo.js:107`

### `engineForce`

Number

Defined in `src/objects/WheelInfo.js:182`

### `forwardImpulse`

Number

Defined in `src/objects/WheelInfo.js:227`

### `frictionSlip`

Number

Defined in `src/objects/WheelInfo.js:152`

### `isFrontWheel`

Number

Defined in `src/objects/WheelInfo.js:192`

### `isInContact`

Boolean

Defined in `src/objects/WheelInfo.js:244`

### `maxSuspensionForce`

Number

Defined in `src/objects/WheelInfo.js:177`

### `maxSuspensionTravel`

Number

Defined in `src/objects/WheelInfo.js:72`

### `radius`

Number

Defined in `src/objects/WheelInfo.js:132`

### `raycastResult`

RaycastResult

Defined in `src/objects/WheelInfo.js:232`

The result from raycasting

### `rollInfluence`

Number

Defined in `src/objects/WheelInfo.js:172`

### `rotation`

Number

Defined in `src/objects/WheelInfo.js:162`

### `sideImpulse`

Number

Defined in `src/objects/WheelInfo.js:222`

### `skidInfo`

Number

Defined in `src/objects/WheelInfo.js:212`

### `sliding`

Boolean

Defined in `src/objects/WheelInfo.js:87`

### `steering`

Number

Defined in `src/objects/WheelInfo.js:157`

### `suspensionForce`

Number

Defined in `src/objects/WheelInfo.js:207`

### `suspensionLength`

Number

Defined in `src/objects/WheelInfo.js:217`

### `suspensionMaxLength`

Number

Defined in `src/objects/WheelInfo.js:127`

### `suspensionRelativeVelocity`

Number

Defined in `src/objects/WheelInfo.js:202`

### `suspensionRestLength`

Number

Defined in `src/objects/WheelInfo.js:122`

### `suspensionStiffness`

Number

Defined in `src/objects/WheelInfo.js:137`

### `useCustomSlidingRotationalSpeed]`

Boolean

Defined in `src/objects/WheelInfo.js:82`

### `worldTransform`

Transform

Defined in `src/objects/WheelInfo.js:238`

Wheel world transform